Bug 277093 - Plasma crashed after closing Amarok
Summary: Plasma crashed after closing Amarok
Status: RESOLVED DUPLICATE of bug 258706
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-04 21:56 UTC by mercatino13
Modified: 2011-08-22 23:03 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (14.75 KB, text/plain)
2011-07-08 04:37 UTC, kate.g.gordon
Details
New crash information added by DrKonqi (15.82 KB, text/plain)
2011-08-22 23:03 UTC, jason
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mercatino13 2011-07-04 21:56:51 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-8-generic i686
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed:I was listening to the music in amarok. When I close Amarok Suddenly Plasma crashed but Firefox for example worked normally.

The crash can be reproduced some of the time.

-- Backtrace:
Application: Powłoka pulpitu Plazmy (plasma-desktop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb5fb8720 (LWP 1476))]

Thread 3 (Thread 0xadf89b70 (LWP 1479)):
#0  0x03ecbda5 in qt_gettime () at tools/qelapsedtimer_unix.cpp:138
#1  0x03f984f2 in updateCurrentTime (this=0x8c54d9c, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#2  QTimerInfoList::timerWait (this=0x8c54d9c, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#3  0x03f96d32 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xadf890cc) at kernel/qeventdispatcher_glib.cpp:136
#4  0x03f96dcd in timerSourcePrepare (source=0x8c54d68, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#5  0x06ea5fd4 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0x06ea6e63 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0x06ea7524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x03f97577 in QEventDispatcherGlib::processEvents (this=0x8c54960, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#9  0x03f69289 in QEventLoop::processEvents (this=0xadf89280, flags=...) at kernel/qeventloop.cpp:149
#10 0x03f69522 in QEventLoop::exec (this=0xadf89280, flags=...) at kernel/qeventloop.cpp:201
#11 0x03e732a0 in QThread::exec (this=0x8c2ae08) at thread/qthread.cpp:492
#12 0x03f4afdb in QInotifyFileSystemWatcherEngine::run (this=0x8c2ae08) at io/qfilesystemwatcher_inotify.cpp:248
#13 0x03e75da2 in QThreadPrivate::start (arg=0x8c2ae08) at thread/qthread_unix.cpp:320
#14 0x06398e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#15 0x0089473e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xac947b70 (LWP 1480)):
#0  0x00df3d41 in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0x03ecbdd8 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x03f984f2 in updateCurrentTime (this=0x8cfae5c, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0x8cfae5c, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x03f96d32 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xac9470cc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x03f96dcd in timerSourcePrepare (source=0x8cfae28, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x06ea5fd4 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x06ea6e63 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x06ea7524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0x03f97577 in QEventDispatcherGlib::processEvents (this=0x8ce1ba0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0x03f69289 in QEventLoop::processEvents (this=0xac947280, flags=...) at kernel/qeventloop.cpp:149
#12 0x03f69522 in QEventLoop::exec (this=0xac947280, flags=...) at kernel/qeventloop.cpp:201
#13 0x03e732a0 in QThread::exec (this=0x8cdfc88) at thread/qthread.cpp:492
#14 0x03f4afdb in QInotifyFileSystemWatcherEngine::run (this=0x8cdfc88) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x03e75da2 in QThreadPrivate::start (arg=0x8cdfc88) at thread/qthread_unix.cpp:320
#16 0x06398e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0x0089473e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb5fb8720 (LWP 1476)):
[KCrash Handler]
#7  0x01098454 in QString (this=0x86c0061, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#8  KIconEffect::fingerprint (this=0x86c0061, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#9  0x0109e352 in KIconLoaderPrivate::makeCacheKey (this=0x86c004d, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#10 0x010a5398 in KIconLoader::loadIcon (this=0x927b120, _name=..., group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#11 0x0109cd76 in KIconEngine::pixmap (this=0x8a76a20, size=..., mode=QIcon::Normal, state=QIcon::Off) at ../../kdeui/icons/kiconengine.cpp:93
#12 0x014a3ca2 in QIcon::pixmap (this=0x91b7a14, size=..., mode=QIcon::Normal, state=QIcon::Off) at image/qicon.cpp:676
#13 0x002d6969 in Plasma::IconWidgetPrivate::decoration (this=0x91b7970, option=0x869d670, useHoverEffect=false, usePressedEffect=false) at ../../plasma/widgets/iconwidget.cpp:812
#14 0x002dd21d in Plasma::IconWidget::paint (this=0x941e940, painter=0xbf87352c, option=0x869d670, widget=0x0) at ../../plasma/widgets/iconwidget.cpp:1128
#15 0x02b340dd in SystemTray::DBusSystemTrayWidget::paint (this=0x941e940, painter=0xbf87352c, option=0x869d670, widget=0x0) at ../../../../../plasma/generic/applets/systemtray/protocols/dbussystemtray/dbussystemtraywidget.cpp:189
#16 0x01a4c9ec in _q_paintItem (item=<value optimized out>, painter=0xbf87352c, option=0x869d670, widget=0x0, useWindowOpacity=false, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4314
#17 0x01a4ccf2 in _q_paintIntoCache (pix=0xbf8739fc, item=0x941e948, pixmapExposed=..., itemToPixmap=..., renderHints=..., option=0x869d670, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4352
#18 0x01a60a00 in QGraphicsScenePrivate::drawItemHelper (this=0x869d520, item=0x941e948, painter=0xbf8751e4, option=0x869d670, widget=0x8ad4a18, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4690
#19 0x01a616c2 in QGraphicsScenePrivate::draw (this=0x869d520, item=0x941e948, painter=0xbf8751e4, viewTransform=0xbf874fcc, transformPtr=0xbf873de0, exposedRegion=0x904e620, widget=0x8ad4a18, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4962
#20 0x01a62402 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x869d520, item=0x941e948, painter=0xbf8751e4, viewTransform=0xbf874fcc, exposedRegion=0x904e620, widget=0x8ad4a18, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#21 0x01a614ec in QGraphicsScenePrivate::draw (this=0x869d520, item=0x87aaa50, painter=0xbf8751e4, viewTransform=0xbf874fcc, transformPtr=0xbf874280, exposedRegion=0x904e620, widget=0x8ad4a18, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#22 0x01a62402 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x869d520, item=0x87aaa50, painter=0xbf8751e4, viewTransform=0xbf874fcc, exposedRegion=0x904e620, widget=0x8ad4a18, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#23 0x01a614ec in QGraphicsScenePrivate::draw (this=0x869d520, item=0x8739f08, painter=0xbf8751e4, viewTransform=0xbf874fcc, transformPtr=0xbf874720, exposedRegion=0x904e620, widget=0x8ad4a18, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#24 0x01a62402 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x869d520, item=0x8739f08, painter=0xbf8751e4, viewTransform=0xbf874fcc, exposedRegion=0x904e620, widget=0x8ad4a18, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#25 0x01a614ec in QGraphicsScenePrivate::draw (this=0x869d520, item=0x86b3900, painter=0xbf8751e4, viewTransform=0xbf874fcc, transformPtr=0xbf874bc0, exposedRegion=0x904e620, widget=0x8ad4a18, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#26 0x01a62402 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x869d520, item=0x86b3900, painter=0xbf8751e4, viewTransform=0xbf874fcc, exposedRegion=0x904e620, widget=0x8ad4a18, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#27 0x01a62c06 in QGraphicsScenePrivate::drawItems (this=0x869d520, painter=0xbf8751e4, viewTransform=0xbf874fcc, exposedRegion=0x904e620, widget=0x8ad4a18) at graphicsview/qgraphicsscene.cpp:4735
#28 0x01a81ea1 in QGraphicsView::paintEvent (this=0x8f0eb80, event=0xbf8758f4) at graphicsview/qgraphicsview.cpp:3469
#29 0x00c7f484 in PanelView::paintEvent (this=0x8f0eb80, event=0xbf8758f4) at ../../../../plasma/desktop/shell/panelview.cpp:1593
#30 0x0144618e in QWidget::event (this=0x8f0eb80, event=0xbf8758f4) at kernel/qwidget.cpp:8405
#31 0x01837f63 in QFrame::event (this=0x8f0eb80, e=0xbf8758f4) at widgets/qframe.cpp:557
#32 0x018c65d2 in QAbstractScrollArea::viewportEvent (this=0x8f0eb80, e=0xbf8758f4) at widgets/qabstractscrollarea.cpp:1043
#33 0x01a8336f in QGraphicsView::viewportEvent (this=0x8f0eb80, event=0xbf8758f4) at graphicsview/qgraphicsview.cpp:2864
#34 0x018c8ed5 in viewportEvent (this=0x88f6490, o=0x8ad4a18, e=0xbf8758f4) at widgets/qabstractscrollarea_p.h:100
#35 QAbstractScrollAreaFilter::eventFilter (this=0x88f6490, o=0x8ad4a18, e=0xbf8758f4) at widgets/qabstractscrollarea_p.h:116
#36 0x03f6a25a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x85f07b8, receiver=0x8ad4a18, event=0xbf8758f4) at kernel/qcoreapplication.cpp:846
#37 0x013edd00 in QApplicationPrivate::notify_helper (this=0x85f07b8, receiver=0x8ad4a18, e=0xbf8758f4) at kernel/qapplication.cpp:4458
#38 0x013f297b in QApplication::notify (this=0x85e7620, receiver=0x8ad4a18, e=0xbf8758f4) at kernel/qapplication.cpp:4427
#39 0x010f73ca in KApplication::notify (this=0x85e7620, receiver=0x8ad4a18, event=0xbf8758f4) at ../../kdeui/kernel/kapplication.cpp:311
#40 0x03f6a0bb in QCoreApplication::notifyInternal (this=0x85e7620, receiver=0x8ad4a18, event=0xbf8758f4) at kernel/qcoreapplication.cpp:731
#41 0x01442f0c in sendSpontaneousEvent (this=0x8ff1688, pdev=0x8974c44, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8d52fc8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#42 QWidgetPrivate::drawWidget (this=0x8ff1688, pdev=0x8974c44, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8d52fc8) at kernel/qwidget.cpp:5492
#43 0x01443b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x904e2d0, pdev=0x8974c44, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8d52fc8) at kernel/qwidget.cpp:5699
#44 0x01442c80 in QWidgetPrivate::drawWidget (this=0x904e2d0, pdev=0x8974c44, rgn=..., offset=..., flags=5, sharedPainter=0x0, backingStore=0x8d52fc8) at kernel/qwidget.cpp:5545
#45 0x0161e908 in QWidgetBackingStore::sync (this=0x8d52fc8) at painting/qbackingstore.cpp:1333
#46 0x01438843 in QWidgetPrivate::syncBackingStore (this=0x904e2d0) at kernel/qwidget.cpp:1842
#47 0x014467e5 in QWidget::event (this=0x8f0eb80, event=0x927b120) at kernel/qwidget.cpp:8552
#48 0x01837f63 in QFrame::event (this=0x8f0eb80, e=0x927b120) at widgets/qframe.cpp:557
#49 0x018c833f in QAbstractScrollArea::event (this=0x8f0eb80, e=0x927b120) at widgets/qabstractscrollarea.cpp:996
#50 0x01a76686 in QGraphicsView::event (this=0x8f0eb80, event=0x927b120) at graphicsview/qgraphicsview.cpp:2741
#51 0x00c7f7c3 in PanelView::event (this=0x8f0eb80, event=0x927b120) at ../../../../plasma/desktop/shell/panelview.cpp:1604
#52 0x013edd24 in QApplicationPrivate::notify_helper (this=0x85f07b8, receiver=0x8f0eb80, e=0x927b120) at kernel/qapplication.cpp:4462
#53 0x013f297b in QApplication::notify (this=0x85e7620, receiver=0x8f0eb80, e=0x927b120) at kernel/qapplication.cpp:4427
#54 0x010f73ca in KApplication::notify (this=0x85e7620, receiver=0x8f0eb80, event=0x927b120) at ../../kdeui/kernel/kapplication.cpp:311
#55 0x03f6a0bb in QCoreApplication::notifyInternal (this=0x85e7620, receiver=0x8f0eb80, event=0x927b120) at kernel/qcoreapplication.cpp:731
#56 0x03f6dc79 in sendEvent (receiver=0x8f0eb80, event_type=77, data=0x857df50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#57 QCoreApplicationPrivate::sendPostedEvents (receiver=0x8f0eb80, event_type=77, data=0x857df50) at kernel/qcoreapplication.cpp:1372
#58 0x03f6de0d in QCoreApplication::sendPostedEvents (receiver=0x8f0eb80, event_type=77) at kernel/qcoreapplication.cpp:1265
#59 0x01a591b6 in dispatchPendingUpdateRequests (this=0x869d520) at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:189
#60 QGraphicsScenePrivate::_q_processDirtyItems (this=0x869d520) at graphicsview/qgraphicsscene.cpp:510
#61 0x01a59596 in QGraphicsScene::qt_metacall (this=0x866a840, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0x913b498) at .moc/release-shared/moc_qgraphicsscene.cpp:130
#62 0x00219a9a in Plasma::Corona::qt_metacall (this=0x866a840, _c=QMetaObject::InvokeMetaMethod, _id=18, _a=0x913b498) at ./corona.moc:109
#63 0x00c7220a in DesktopCorona::qt_metacall (this=0x866a840, _c=QMetaObject::InvokeMetaMethod, _id=18, _a=0x913b498) at ./desktopcorona.moc:101
#64 0x03f706ba in QMetaObject::metacall (object=0x866a840, cl=QMetaObject::InvokeMetaMethod, idx=18, argv=0x913b498) at kernel/qmetaobject.cpp:237
#65 0x03f7ae16 in QMetaCallEvent::placeMetaCall (this=0x94a9d70, object=0x866a840) at kernel/qobject.cpp:535
#66 0x03f7f3b7 in QObject::event (this=0x866a840, e=0x94a9d70) at kernel/qobject.cpp:1226
#67 0x01a663b4 in QGraphicsScene::event (this=0x866a840, event=0x94a9d70) at graphicsview/qgraphicsscene.cpp:3544
#68 0x013edd24 in QApplicationPrivate::notify_helper (this=0x85f07b8, receiver=0x866a840, e=0x94a9d70) at kernel/qapplication.cpp:4462
#69 0x013f28ce in QApplication::notify (this=0x85e7620, receiver=0x866a840, e=0x94a9d70) at kernel/qapplication.cpp:3862
#70 0x010f73ca in KApplication::notify (this=0x85e7620, receiver=0x866a840, event=0x94a9d70) at ../../kdeui/kernel/kapplication.cpp:311
#71 0x03f6a0bb in QCoreApplication::notifyInternal (this=0x85e7620, receiver=0x866a840, event=0x94a9d70) at kernel/qcoreapplication.cpp:731
#72 0x03f6dc79 in sendEvent (receiver=0x0, event_type=0, data=0x857df50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#73 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x857df50) at kernel/qcoreapplication.cpp:1372
#74 0x03f6de0d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1265
#75 0x03f973c4 in sendPostedEvents (s=0x85f2310) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#76 postEventSourceDispatch (s=0x85f2310) at kernel/qeventdispatcher_glib.cpp:277
#77 0x06ea6aa8 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#78 0x06ea7270 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#79 0x06ea7524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#80 0x03f9753c in QEventDispatcherGlib::processEvents (this=0x857daa8, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#81 0x014a1775 in QGuiEventDispatcherGlib::processEvents (this=0x857daa8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#82 0x03f69289 in QEventLoop::processEvents (this=0xbf8770e4, flags=...) at kernel/qeventloop.cpp:149
#83 0x03f69522 in QEventLoop::exec (this=0xbf8770e4, flags=...) at kernel/qeventloop.cpp:201
#84 0x03f6decc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#85 0x013eb8e7 in QApplication::exec () at kernel/qapplication.cpp:3736
#86 0x00c795a5 in kdemain (argc=1, argv=0xbf8772f4) at ../../../../plasma/desktop/shell/main.cpp:118
#87 0x080485cb in main (argc=1, argv=0xbf8772f4) at plasma-desktop_dummy.cpp:3

This bug may be a duplicate of or related to bug 275395, bug 274864, bug 274617.

Possible duplicates by query: bug 276408, bug 276393, bug 276332, bug 276256, bug 276223.

Reported using DrKonqi
Comment 1 kate.g.gordon 2011-07-08 04:37:16 UTC
Created attachment 61698 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.3 (4.6.3) using Qt 4.7.3

- What I was doing when the application crashed
I had just closed amarok and had alt+tabbed to dolphin; crash reporting assistant opened/plasma desktop crashed as I went to unmount a usb disk by right-clicking on the icon in dolphin.

-- Backtrace (Reduced):
#7  0xb6b86755 in QString (this=0x9bc0061, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#8  KIconEffect::fingerprint (this=0x9bc0061, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#9  0xb6b8cf18 in KIconLoaderPrivate::makeCacheKey (this=0x9bc004d, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#10 0xb6b94c94 in KIconLoader::loadIcon (this=0x9b09288, _name=..., group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#11 0xb6b8b7f4 in KIconEngine::pixmap (this=0x947bae8, size=..., mode=QIcon::Normal, state=QIcon::Off) at ../../kdeui/icons/kiconengine.cpp:93
Comment 2 Dario Andres 2011-07-08 22:36:30 UTC
[Comment from a bug triager]
The bug is fixed since KDE SC 4.6.4. The issue was being tracked at bug 258706, merging.
Thanks

*** This bug has been marked as a duplicate of bug 258706 ***
Comment 3 jason 2011-08-22 23:03:05 UTC
Created attachment 63062 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

Amarok was functioning normally.  Stopped playback, then closed Amarok which resulted in the Plasma crash.

-- Backtrace (Reduced):
#6  0x00007fcc8d6805df in QString (this=0x2b40075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x2b40075, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007fcc8d685feb in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007fcc8d68cd03 in KIconLoader::loadIcon (this=0x23a7100, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007fcc8d684c99 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93